Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractProduct

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractProduct

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MegafonContractProduct extends Id
Привязка продукта мегафона к договору

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractProduct()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalMsisdn()`
  `int`
  `getContractId()`
  `LocalDateTime`
  `getEndTime()`
  `String`
  `getIcc()`
  `String`
  `getImsi()`
  `String`
  `getMnpOrderComment()`
  `String`
  `getMnpProcessNumber()`
  `String`
  `getMsisdn()`
  `long`
  `getOrderId()`
  `int`
  `getProductId()`
  `int`
  `getReserveId()`
  `LocalDateTime`
  `getStartTime()`
  `MegafonContractProductStatus`
  `getStatus()`
  `int`
  `getTariffId()`
  `void`
  `setAdditionalMsisdn(String additionalMsisdn)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setEndTime(LocalDateTime endTime)`
  `void`
  `setIcc(String icc)`
  `void`
  `setImsi(String imsi)`
  `void`
  `setMnpOrderComment(String mnpOrderComment)`
  `void`
  `setMnpProcessNumber(String mnpProcessNumber)`
  `void`
  `setMsisdn(String msisdn)`
  `void`
  `setOrderId(long orderId)`
  `void`
  `setProductId(int productId)`
  `void`
  `setReserveId(int reserveId)`
  `void`
  `setStartTime(LocalDateTime startTime)`
  `void`
  `setStatus(MegafonContractProductStatus status)`
  `void`
  `setTariffId(int tariffId)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonContractProduct

    public MegafonContractProduct()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId(int productId)

  - ### getMsisdn

    public String getMsisdn()

  - ### setMsisdn

    public void setMsisdn(String msisdn)

  - ### getAdditionalMsisdn

    public String getAdditionalMsisdn()

  - ### setAdditionalMsisdn

    public void setAdditionalMsisdn(String additionalMsisdn)

  - ### getStartTime

    public LocalDateTime getStartTime()

  - ### setStartTime

    public void setStartTime(LocalDateTime startTime)

  - ### getEndTime

    public LocalDateTime getEndTime()

  - ### setEndTime

    public void setEndTime(LocalDateTime endTime)

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### setStatus

    public void setStatus(MegafonContractProductStatus status)

  - ### getOrderId

    public long getOrderId()

  - ### setOrderId

    public void setOrderId(long orderId)

  - ### getMnpOrderComment

    public String getMnpOrderComment()

  - ### setMnpOrderComment

    public void setMnpOrderComment(String mnpOrderComment)

  - ### getTariffId

    public int getTariffId()

  - ### setTariffId

    public void setTariffId(int tariffId)

  - ### getMnpProcessNumber

    public String getMnpProcessNumber()

  - ### setMnpProcessNumber

    public void setMnpProcessNumber(String mnpProcessNumber)

  - ### setReserveId

    public void setReserveId(int reserveId)

  - ### getReserveId

    public int getReserveId()

  - ### getIcc

    public String getIcc()

  - ### setIcc

    public void setIcc(String icc)

  - ### getImsi

    public String getImsi()

  - ### setImsi

    public void setImsi(String imsi)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Id`